ustream-ssl: Fix recursive dependency
authorDaniel Dickinson <lede@daniel.thecshore.com>
Mon, 4 Jul 2016 08:49:18 +0000 (04:49 -0400)
committerJohn Crispin <john@phrozen.org>
Mon, 4 Jul 2016 08:51:41 +0000 (10:51 +0200)
Two variants incorrectly include themselves in
conditional depends on ssl libraries, which results
in a recursive dependency.

Signed-off-by: Daniel Dickinson <lede@daniel.thecshore.com>
package/libs/ustream-ssl/Makefile

index 2148515..fd74981 100644 (file)
@@ -32,14 +32,14 @@ endef
 define Package/libustream-openssl
   $(Package/libustream/default)
   TITLE += (openssl)
-  DEPENDS += +PACKAGE_libustream-openssl:libopenssl
+  DEPENDS += +libopenssl
   VARIANT:=openssl
 endef
 
 define Package/libustream-cyassl
   $(Package/libustream/default)
   TITLE += (cyassl)
-  DEPENDS += +PACKAGE_libustream-cyassl:libcyassl
+  DEPENDS += +libcyassl
   VARIANT:=cyassl
 endef